[arch-commits] Commit in gutenprint/repos (3 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Sat Oct 25 05:39:19 EDT 2008


    Date: Saturday, October 25, 2008 @ 05:39:19
  Author: andyrtr
Revision: 17121

Merged revisions 17120 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/gutenprint/trunk

........
  r17120 | andyrtr | 2008-10-25 09:38:34 +0000 (Sa, 25 Okt 2008) | 1 line
  
  upgpkg: gutenprint 5.2.1-1
........

Added:
  gutenprint/repos/extra-x86_64/gutenprint.install
    (from rev 17120, gutenprint/trunk/gutenprint.install)
Modified:
  gutenprint/repos/extra-x86_64/	(properties)
  gutenprint/repos/extra-x86_64/PKGBUILD

--------------------+
 PKGBUILD           |   22 +++++++++++++++-------
 gutenprint.install |    9 +++++++++
 2 files changed, 24 insertions(+), 7 deletions(-)


Property changes on: gutenprint/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /gutenprint/trunk:1-9550
   + /gutenprint/trunk:1-17120

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-10-25 09:38:34 UTC (rev 17120)
+++ extra-x86_64/PKGBUILD	2008-10-25 09:39:19 UTC (rev 17121)
@@ -1,17 +1,24 @@
 # $Id$
-# Maintainer: dorphell <dorphell at archlinux.org>
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+
 pkgname=gutenprint
-pkgver=5.0.2
-pkgrel=4
+pkgver=5.2.1
+pkgrel=1
 pkgdesc="Top quality printer drivers for POSIX systems"
 arch=('i686' 'x86_64')
 license=('GPL')
-makedepends=('gimp' 'gtk2>=2.12.11' 'foomatic-db-engine' 'ghostscript>=8.63-3')
-depends=('cups>=1.3.8-2' 'readline' 'gnutls>=2.4.1')
+install=gutenprint.install
+depends=('readline' 'gnutls>=2.4.1-3')
+makedepends=('gimp' 'gtk2>=2.14.4' 'cups>=1.3.9' 'foomatic-db-engine' 'ghostscript>=8.63-3')
+optdepends=('cups:		to use cups printer spooler(recommended)'
+            'foomatic-db-engine:	to use foomatic spooler'
+            'ghostscript:	adds postscript support for ijsgutenprint'
+            'gimp:		adds gutenprint plugin to gimp')
 source=(http://downloads.sourceforge.net/gimp-print/$pkgname-$pkgver.tar.bz2)
 url="http://gimp-print.sourceforge.net/"
 replaces=('gimp-print')
 options=('!libtool' '!emptydirs')
+md5sums=('675ea5f612880e31246242b65d5993c5')
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
@@ -20,8 +27,9 @@
 	--disable-libgutenprintui  --enable-libgutenprintui2 --disable-gtktest \
 	--enable-cups-ppds --enable-cups-ppds-at-top-level \
 	--with-foomatic --with-foomatic3 --with-ghostscript \
-	--disable-static --disable-static-genppd --with-ijs || return 1
+	--disable-static --disable-static-genppd --with-ijs \
+	--disable-globalized-cups-ppds || return 1
   make || return 1
   make DESTDIR=$startdir/pkg install || return 1
 }
-md5sums=('ca6c45616caa720e9e185817272b08d7')
+

Copied: gutenprint/repos/extra-x86_64/gutenprint.install (from rev 17120, gutenprint/trunk/gutenprint.install)
===================================================================
--- extra-x86_64/gutenprint.install	                        (rev 0)
+++ extra-x86_64/gutenprint.install	2008-10-25 09:39:19 UTC (rev 17121)
@@ -0,0 +1,9 @@
+post_install() {
+ echo ">>please run /usr/sbin/cups-genppdupdate"
+ echo ">>and restart cups deamon"
+}
+
+post_upgrade() {
+   post_install
+}
+




More information about the arch-commits mailing list